Subject: Re: bug#61483: [PATCH 0/5] Some basic Home Shepherd Services

From: Ludovic Courtès <[email-masked]>
Date: Sat, 04 Mar 2023 18:01:04 +0100

Howdy!

"Jan (janneke) Nieuwenhuizen" <[email-masked]> skribis:

> I've been waiting for Guix Home to offer some basic shepherd services for most
> used daemons, replacing the neat shepherd hack described in
>
>     https://guix.gnu.org/en/blog/2020/gnu-shepherd-user-services/
>
> that I've been using, and am a bit puzzled as to why this didn't happen.  Are
> people using Guix Home?

I am!  :-)

Possible reasons not all the services described there made it into Guix
Home: (1) needs vary :-), (2) it’s possible to migrate incrementally,
with some things handled with Home while others are still managed “the
old way” (that’s what I do), and (3) rde is kinda “competing” with Home
by providing a whole bunch of services, giving less of an incentive to
migrate them (it’s an unfortunate issue we identified at the time Home
got merged).

But with contributions like these, the situation will improve!

> Anyway, here's my attempt to address this, adding ssh-agent, git-daemon, and
> also the probably less-used kodi and znc that I use on my home server.

Nice.

Ludo’.